<template>
	<!-- <v-btn :ripple="false" @click="setTotal()">전체</v-btn> -->
	<a-button type="default" @click="setTotal()">전체</a-button>

</template>
<script>
import { mapMutations } from 'vuex';

export default {
	props: {
		parentPrgmId: {
			type: String,
			require: true,
		},
	},

	methods: {
		...mapMutations({ setPageData: 'setPageData' }),
		setTotal() {
			var facInfoText = { path: '전체' };
			this.setPageData({ facInfo: facInfoText });
			localStorage.setItem(
				this.parentPrgmId + 'CheckedRow',
				JSON.stringify(facInfoText),
			);
		},
	},
};
</script>
